
struct zeros                           /* block zero data structure */
{   long flen;                         /* file length */
    long fstamp;                       /* file date/time stamp */
    char fnam[17];
    char prog[15];                     /* sending program name */
    char fill[88];
};

typedef struct {
    int outblk;
    int ackblk;
    int blksnt;
    int slide;
    int ackst;
    int numnak;
    int starttime;
    int filesize;
    int bytes;
    int EOTBlk;
    char numerrs;
    char numtime;
    char chktec;
    char abort;
    char QLXlate;
    char Xmode;
    char DefDir[32];
    char FileName[64];
    int  fp;
    struct zeros zero;    
} XPD, *PXPD;


#define ACK 0x06
#define NAK 0x15
#define SOH 0x01
#define EOT 0x04

#define     OK          0
#define     ERROR       (-1)
#define     TIMEOUT     (-2)
#define     DONE        (-3)
#define     FAILED      (-4)
#define     CRCERR      (-5)
#define     CHKERR      (-6)
#define     FUTURE      (-7)
#define     ABORTED     (-8)
#define     FILERR      (-9)
#define     WCEOT       (-10)
#define     DUPSEC      (-11)
#define     NOFILES     (-12)
#define     MODE        (-13)
#define     LASTBLK     (-14)

#define XD ((PXPD)X->xpr_data)

