/**
*
*   Include file for External Protocol Handling
*
**/
/* data message length */

#define SMSGLEN 128		/* short message length */
#define LMSGLEN 1024		/* long message length */

typedef struct XProtocolData {
	int fp;
        int starttime;
        int filesize;
	int blknum;
	int bytes;
        int blklen;
        int baud;
        short filcnt;
        char optiong;
        char useG;
        char overwrite;
	char Ascii;
	char Kblocks;
	char Kblocks_conf;
        char crc_conf;
	char crcmode;
	char numerrs;
        char numtime;
	char abort;
        char firstsec;
        char LFseen;
	unsigned char packet[LMSGLEN + 5];
	char DefDir[32];
        char filename[64];
} XPD, *PXPD;

#define     CAN         ('X' & 037)
#define     XOFF        ('S' & 037)
#define     XON         ('Q' & 037)
#define     SOH         1
#define     STX         2
#define     EOT         4
#define     ENQ         5 
#define     ACK         6
#define     NAK         21
#define     CPMEOF      26
#define     WANTCRC     'C'
#define     WANTG       'G'
#define     ERRORMAX    10
#define     RETRYMAX    10
#define     TRYCHK      5


#define     OK          0
#define     ERROR       (-1)
#define     TIMEOUT     (-2)
#define     DONE        (-3)
#define     BURST       (-4)
#define     CRCERR      (-5)
#define     CHKERR      (-6)
#define     SEND_START  (-7)
#define     ABORTED     (-8)
#define     FILERR      (-9)
#define     WCEOT       (-10)
#define     DUPSEC      (-11)
#define     GARBLE      (-12)
#define     NOSYNC      (-13)
#define     STRANGE     (-14)
#define     RECV_START  (-15)


#define XD ((PXPD)IO->xpr_data)

