#ifndef _XPRDEMO_H
#define _XPRDEMO_H

#include "psblk.h"

#ifdef MAIN_MODULE
#   define GLOBAL

    /*
     * My defaults
     */
  
    char MyProtocol[24] = "ZMODEM";
    char SerDev[24] = "ser1hr";
    char LibDir[24] = "flp2_";
#else
#   define GLOBAL extern
    extern char MyProtocol[];
    extern char SerDev[];
    extern char LibDir[];
#endif    

    /*
     * Other global variables
     */
     
GLOBAL int XPRPid, XPRStatus;
GLOBAL PSERBLK pS;
GLOBAL int pChId1, pChId2;

#define cputs(p1, p2) {char *p; p = p1; io_sstrg(p2, -1, p, (short)strlen(p)); }
#define cputc(p1, p2) io_sbyte(p2, -1, (char)p1)

#define XSETUP  1
#define XSEND   2
#define XRECV   3
#define XCLEAN  4

#endif

