/*
 * Include file for kermitproto.w.  You probably don't want to change
 * any of the following manifest constants.
 *
 * $Header: Work:src/xprkermit/RCS/kermitproto.h,v 1.3 91/11/09 06:59:05 swalton Exp $
 */

#define MAXSP 2048	/* Maximum length packet to send		*/
#define MAXRP 2048	/* Maximum length packet to receive		*/
#define DRPSIZ 94	/* Default data size of received packet		*/
#define DSPSIZ 94	/* Default data size of sent packet		*/
#define MAXWS 1		/* Maximum window size for sliding windows	*/
#ifndef NULL
#define NULL 0L
#endif
typedef unsigned char CHAR;	/* For the output of Wart 1A(006).	*/

/* Screen functions */

#define SCR_FN 1    	/* filename */
#define SCR_AN 2    	/* as-name */
#define SCR_FS 3 	/* file-size */
#define SCR_XD 4    	/* x-packet data */
#define SCR_ST 5      	/* File status: */
#define   ST_OK   0   	/*  Transferred OK */
#define   ST_DISC 1 	/*  Discarded */
#define   ST_INT  2     /*  Interrupted */
#define   ST_SKIP 3 	/*  Skipped */
#define   ST_ERR  4 	/*  Fatal Error */
#define SCR_PN 6    	/* packet number */
#define SCR_PT 7    	/* packet type or pseudotype */
#define SCR_TC 8    	/* transaction complete */
#define SCR_EM 9    	/* error message */
#define SCR_WM 10   	/* warning message */
#define SCR_TU 11	/* arbitrary undelimited text */
#define SCR_TN 12   	/* arbitrary new text, delimited at beginning */
#define SCR_TZ 13   	/* arbitrary text, delimited at end */
#define SCR_QE 14	/* quantity equals (e.g. "foo: 7") */

/*
 * Now, some handy macros.
 */

#define tochar(c) ((c) + 32)
#define unchar(c) ((c) - 32)
#define ctrl(c) (((CHAR)(c)) ^ 64)

#include "kermitproto.pro"

