
.text
.even
.globl pick
.globl setptr
;
; This is the call to pick a window by job id or shuffle windows
; long iop_pick( long chid, short timeout, long job_id, int flag)
;                 8            C           10           14
pick:
    link    a6,#0
    movem.l d2-d3,-(a7)
    moveq.l #$7C,d0       ; Call code
    move.l  8(a6),a0      ; Channel id
    move.l  $c(a6),d3     ; timeout
    move.l  $10(a6),d1    ; job id or key
    move.l  $14(a6),d2    ; waker ?
    trap    #3
    movem.l (a7)+,d2-d3
    unlk    a6
    rts

;
; This is the call to set the pointer position
; long iop_sptr( long chid, short timeout, short *x, short *y,
;                  10          14          18       1c
;               short origin_key)
;                  20
setptr:
    movem.l d2/d3/a2,-(sp)
    moveq.l #$7B,d0       ; Call code
    move.l  $10(sp),a0
    move.w  $16(sp),d3
    move.l  $18(sp),a1
    move.l  (a1),d1
    move.l  $1c(sp),a2
    move.w  (a2),d1
    move.w  $22(sp),d2

    trap    #3

    move.w  d1,(a2)
    swap    d1
    move.w  d1,(a1)

    movem.l (sp)+,d2/d3/a2
    rts

    end
